# File point.hpp

↰ Parent directory (`cif++`)

## Definition (`cif++/point.hpp`)

- Program Listing for File point.hpp

## Detailed Description

This file contains the definition for cif::point as well as lots of routines and classes that can manipulate points.

## Includes

- `array`

- `cmath`

- `complex`

- `cstdint`

- `format` (File format.hpp)

- `functional`

- `optional`

- `valarray`

## Included By

- File cif++.hpp

- File compound.hpp

- File model.hpp

- File symmetry.hpp

## Namespaces

- Namespace cif

## Classes

- Template Struct point_type

- Template Class quaternion_type

- Template Class spherical_dots

## Functions

- Function cif::align_points

- Template Function cif::angle

- Function cif::center_points

- Function cif::centroid

- Function cif::construct_for_dihedral_angle

- Function cif::construct_from_angle_axis

- Template Function cif::cosinus_angle

- Template Function cif::cross_product

- Template Function cif::dihedral_angle

- Template Function cif::distance

- Template Function cif::distance_point_to_line

- Template Function cif::distance_squared

- Template Function cif::dot_product

- Template Function cif::line_line_intersection

- Template Function cif::norm

- Template Function cif::norm_squared

- Function cif::nudge

- Function cif::quaternion_to_angle_axis

- Function cif::RMSd

- Function cif::smallest_sphere_around_points

- Template Function cif::spherical

## Typedefs

- Typedef cif::point

- Typedef cif::quaternion

## Variables

- Variable cif::kPI